Skip to content
This repository

Integration of Plupload with the Rails asset pipeline

branch: master
Octocat-spinner-32 app Fix exception when using plupload.settings.js February 08, 2014
Octocat-spinner-32 lib Bumped version to 1.2.1 February 08, 2014
Octocat-spinner-32 vendor Upgraded plupload to 2.1.1 February 08, 2014
Octocat-spinner-32 .gitignore first commit October 04, 2011
Octocat-spinner-32 GPL-LICENSE.txt Adds licenses September 26, 2013
Octocat-spinner-32 Gemfile first commit October 04, 2011
Octocat-spinner-32 MIT-LICENSE.txt Adds licenses September 26, 2013
Octocat-spinner-32 README.md Updated readme December 20, 2013
Octocat-spinner-32 Rakefile first commit October 04, 2011
Octocat-spinner-32 plupload-rails.gemspec Adds licenses September 26, 2013
README.md

Rails Integration for Plupload

This gem integrates Plupload with Rails. It's been tested with Rails 3.1, 3.2 and 4.0.

Install

Just add it got your Gemfile:

gem 'plupload-rails'

Quick Start

Add to your application.js:

//= require moxie
//= require plupload.dev

// optional, only needed if you'd like to use plupload localized
//= require plupload/i18n/de

// optional, but recommended. it sets generic settings like flash url, etc.
//= require plupload.settings

// optional, only if you want to use the jquery integration
//= require jquery.plupload.queue

Add to your application stylesheet:

//= require jquery.plupload.queue

Simple example Haml for your views:

div#uploader
:javascript
  $(function(){
    $("#uploader").pluploadQueue({
      runtimes: 'gears,flash,silverlight,browserplus,html5',
      url: '#{images_path}',
      multipart_params: {
        '#{request_forgery_protection_token}': '#{form_authenticity_token}',
        '#{Rails.application.config.session_options[:key]}': '#{request.session_options[:id]}'
      }
    });
  });

And the same in ERB:

<script>
  $(function(){
    $("#uploader").pluploadQueue({
      runtimes: 'html5,flash,silverlight',
      url: '<%= sink_hole_path %>',
      multipart_params: {
        '<%= request_forgery_protection_token %>': '<%= form_authenticity_token %>',
        '<%= Rails.application.config.session_options[:key] %>': '<%= request.session_options[:id] %>'
      }
    });
  });
</script>

Updating

When new versions of Plupload are released, simply update the gem to the latest version. When you notice that there's no gem for the latest plupload, please contact me (or even better, create an issue/ pull request).

License

Dual licensed under the GPLv2 license and the MIT license. Plupload itself (including the JS, CSS, images, the Silverlight and Flash components) is licensed under GPLv2, unless you have acquired a commercial license.

Copyright © 2011-2013 Corin Langosch and contributors

Something went wrong with that request. Please try again.